org.jbpm.process.core.datatype.impl.type

## Class StringDataType

- java.lang.Object
- - org.jbpm.process.core.datatype.impl.type.StringDataType

- All Implemented Interfaces:
    Externalizable, Serializable, DataType

      public class StringDataType
      extends Object
      implements DataType

  Representation of a string datatype.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringDataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStringType()` Returns the corresponding Java type of this datatype
    `void` | `readExternal(ObjectInput in)`
    `Object` | `readValue(String value)`
    `boolean` | `verifyDataType(Object value)` Returns true if the given value is a valid value of this data type.
    `void` | `writeExternal(ObjectOutput out)`
    `String` | `writeValue(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.process.core.datatype.DataType

      `valueOf`

- - ### Constructor Detail

    - #### StringDataType

          public StringDataType()

  - ### Method Detail

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### verifyDataType

          public boolean verifyDataType(Object value)

      Description copied from interface: `DataType`
      Returns true if the given value is a valid value of this data type.
      Specified by:
        `verifyDataType` in interface `DataType`

    - #### readValue

          public Object readValue(String value)

      Specified by:
        `readValue` in interface `DataType`

    - #### writeValue

          public String writeValue(Object value)

      Specified by:
        `writeValue` in interface `DataType`

    - #### getStringType

          public String getStringType()

      Description copied from interface: `DataType`
      Returns the corresponding Java type of this datatype
      Specified by:
        `getStringType` in interface `DataType`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.